<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:entainplc="http://entainplc.com/xbrl/2023" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr="http://www.xbrl.org/dtr/type/2020-01-21" targetNamespace="http://entainplc.com/xbrl/2023" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800GNI3K45LQR8L28-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800GNI3K45LQR8L28-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800GNI3K45LQR8L28-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800GNI3K45LQR8L28-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://entainplc.com/xbrl/2023/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://entainplc.com/xbrl/2023/roles/ProfitOrLoss">
        <link:definition>02 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://entainplc.com/xbrl/2023/roles/StatementOfComprehensiveIncome">
        <link:definition>03 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://entainplc.com/xbrl/2023/roles/StatementOfFinancialPosition">
        <link:definition>04 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://entainplc.com/xbrl/2023/roles/StatementOfChangesInEquity">
        <link:definition>05 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://entainplc.com/xbrl/2023/roles/StatementOfCashFlows">
        <link:definition>06 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlowsParenthetical" roleURI="http://entainplc.com/xbrl/2023/roles/StatementOfCashFlowsParenthetical">
        <link:definition>07 - Statement of cash flows (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://entainplc.com/xbrl/2023/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="entainplc_ConsolidatedIncomeStatementAxis" xbrli:periodType="duration" abstract="true" name="ConsolidatedIncomeStatementAxis" nillable="true" xmlns:q1="http://xbrl.org/2005/xbrldt" substitutionGroup="q1:dimensionItem" type="xbrli:stringItemType" />
  <xs:element id="entainplc_UnderlyingItemsMember" xbrli:periodType="duration" abstract="true" name="UnderlyingItemsMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="entainplc_SeperatelyDisclosedItemsMember" xbrli:periodType="duration" abstract="true" name="SeperatelyDisclosedItemsMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="entainplc_Totalmember" xbrli:periodType="duration" abstract="true" name="Totalmember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="entainplc_ProfitOrLossTable" xbrli:periodType="duration" abstract="true" name="ProfitOrLossTable" nillable="true" xmlns:q2="http://xbrl.org/2005/xbrldt" substitutionGroup="q2:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="entainplc_ProfitOrLossLineItems" xbrli:periodType="duration" abstract="true" name="ProfitOrLossLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="entainplc_VATGST" xbrli:balance="debit" xbrli:periodType="duration" name="VATGST" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_Contribution" xbrli:balance="credit" xbrli:periodType="duration" name="Contribution" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_AdministrativeCostsExcludingMarketing" xbrli:balance="debit" xbrli:periodType="duration" name="AdministrativeCostsExcludingMarketing" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_GroupOperatingProfitLossBeforeShareOfResultsFromJointVenturesAndAssociates" xbrli:balance="credit" xbrli:periodType="duration" name="GroupOperatingProfitLossBeforeShareOfResultsFromJointVenturesAndAssociates" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_EBITDA" xbrli:balance="credit" xbrli:periodType="duration" name="EBITDA" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_SurplusDeficitOnRevaluationOfOtherInvestment" xbrli:balance="credit" xbrli:periodType="duration" name="SurplusDeficitOnRevaluationOfOtherInvestment" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_BusinessCombinations" xbrli:balance="credit" xbrli:periodType="duration" name="BusinessCombinations" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_RecognitionOfPutLiabilitiy" xbrli:balance="debit" xbrli:periodType="duration" name="RecognitionOfPutLiabilitiy" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_PurchaseOfNonControllingInterests" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfNonControllingInterests" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_AcquisitionsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="AcquisitionsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_CashAcquiredOnBusinessCombinationsClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="CashAcquiredOnBusinessCombinationsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_PurchaseOfInvestmentsInAssociatesAndOtherInvestmentsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfInvestmentsInAssociatesAndOtherInvestmentsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_RepaymentOfBorrowingsClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="RepaymentOfBorrowingsClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_RepaymentOfBorrowingsOnAcquisitionClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="RepaymentOfBorrowingsOnAcquisitionClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_SubscriptionOfFundsFromNonControllingInterestsClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="SubscriptionOfFundsFromNonControllingInterestsClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_SettlementOfDerivativeFinancialInstrumentsAndOtherFinancialLiabilitiesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="SettlementOfDerivativeFinancialInstrumentsAndOtherFinancialLiabilitiesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_SettlementOfOtherFinancialLiabilitiesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="SettlementOfOtherFinancialLiabilitiesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_PurchaseOfMinorityHoldingsInSTSHoldingsSA" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfMinorityHoldingsInSTSHoldingsSA" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_PurchaseOfMinorityHoldingsInScoutGamingABAndGlobalLimited" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfMinorityHoldingsInScoutGamingABAndGlobalLimited" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="entainplc_DescriptionOfAccountingPolicyForEquityInstrumentsAndDividends" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForEquityInstrumentsAndDividends" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="entainplc_DisclosureOfSeparatelyDisclosedItems" xbrli:periodType="duration" name="DisclosureOfSeparatelyDisclosedItems" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
</xs:schema>